---
title: "Get document group"
url: "https://docs.signnow.com/docs/document-group/operations/get-documentgroup"
type: "endpoint"
section: "document-group"
slug: "document-group/operations/get-documentgroup"
method: "GET"
path: "/documentgroup/{document_group_id}"
operation_id: "get-documentgroup"
authorization: "bearer"
---

# Get document group

`GET /documentgroup/{document_group_id}`

This endpoint allows API users to retrieve details about a specific document group, including its documents, assigned roles, and any FreeForm or field invites. 
 
The `invite_id` property indicates the group invite if it exists, or is null if no invite has been created.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | ID of the document group. |

## Responses

### 200

Successful response. Returns the document group with its documents, field invites, and settings. If an invite was sent to an email group, the field invite contains the `email_group` object.

**Example** (`Success`)

```json
{
  "id": "30437e7e3ad894ad0be758e1a2ba5c62f3ffa740",
  "state": "pending",
  "documents": [
    {
      "id": "d93b53d9be4911458c4086142bc2fb55ec8db6fb",
      "roles": [
        "Candidate",
        "HR manager",
        "Viewer 2",
        "Viewer 3"
      ],
      "settings": [],
      "thumbnail": {
        "large": "https://api.signnow.com/document/d93b53d9be4911458c4086142bc2fb55ec8db6fb/thumbnail?size=large",
        "small": "https://api.signnow.com/document/d93b53d9be4911458c4086142bc2fb55ec8db6fb/thumbnail?size=small",
        "medium": "https://api.signnow.com/document/d93b53d9be4911458c4086142bc2fb55ec8db6fb/thumbnail?size=medium"
      },
      "document_name": "Offerletter",
      "field_invites": [
        {
          "id": "92d66a3d6221a9b68a5f0efd5c07eb35a2e542e6",
          "short_link_url": null,
          "signature_type": null,
          "payment_request": null
        }
      ],
      "allowed_to_remove": true,
      "origin_document_id": "999ebdd807e4c13f70eb1892801de7eadfc2db37",
      "has_unassigned_field": false,
      "has_credit_card_number": false
    },
    {
      "id": "30437e7e3ad894ad0be758e1a2ba5c62f3ffa740",
      "roles": [
        "CEO",
        "Employee",
        "HR manager",
        "Viewer 1"
      ],
      "settings": [],
      "thumbnail": {
        "large": "https://api.signnow.com/document/30437e7e3ad894ad0be758e1a2ba5c62f3ffa740/thumbnail?size=large",
        "small": "https://api.signnow.com/document/30437e7e3ad894ad0be758e1a2ba5c62f3ffa740/thumbnail?size=small",
        "medium": "https://api.signnow.com/document/30437e7e3ad894ad0be758e1a2ba5c62f3ffa740/thumbnail?size=medium"
      },
      "document_name": "EMPLOYMENTCONTRACT",
      "field_invites": [
        {
          "id": "137585228f7a637219654153e3c38e822eaf0ddc",
          "short_link_url": null,
          "signature_type": null,
          "payment_request": null
        },
        {
          "id": "e1aa9caeadf499eb6954d6819d04af6b3dd21c9d",
          "short_link_url": null,
          "signature_type": null,
          "payment_request": null
        }
      ],
      "allowed_to_remove": true,
      "origin_document_id": "18dc0d5ce407fb16c1d7fc5ca7c7c383f356061b",
      "has_unassigned_field": false,
      "has_credit_card_number": false
    }
  ],
  "folder_id": "93a42c36781b041ac907e1f744fedd2b7564ef20",
  "invite_id": "9b24f849fee97647a7b88ecf7cd94969af83aa41",
  "group_name": "Jessica Moore onboarding package",
  "share_info": {
    "role": "owner",
    "is_personally_shared_to_others": false
  },
  "mail_provider": null,
  "freeform_invite": {
    "id": null
  },
  "scheduled_invite": null,
  "email_action_on_complete": null,
  "document_group_attributes": {
    "from_name": "Sample Sender",
    "from_email": "owner@email.com"
  },
  "originator_organization_settings": [
    {
      "value": "0",
      "setting": "no_user_signature_return"
    },
    {
      "value": "https://app.signnow.com/webapp/",
      "setting": "invite_completion_redirect_url"
    },
    {
      "value": "https://app.signnow.com/webapp/",
      "setting": "invite_decline_redirect_url"
    },
    {
      "value": "0",
      "setting": "required_preset_signature_name"
    },
    {
      "value": "0",
      "setting": "require_email_subject"
    },
    {
      "value": "0",
      "setting": "require_login_for_signing"
    },
    {
      "value": "0",
      "setting": "logout_on_signing"
    },
    {
      "value": "0",
      "setting": "front_end_session_length"
    },
    {
      "value": "0",
      "setting": "add_signature_stamp_with_name"
    },
    {
      "value": "0",
      "setting": "cfr_title_21_part_11"
    },
    {
      "value": "0",
      "setting": "require_authentication_for_invites"
    },
    {
      "value": "1",
      "setting": "document_guide"
    },
    {
      "value": "0",
      "setting": "disable_email_notifications"
    },
    {
      "value": "no",
      "setting": "block_login_via_social_networks"
    },
    {
      "value": "1",
      "setting": "common_experiments"
    },
    {
      "value": "0",
      "setting": "hide_decline_to_sign_option_in_signing_session"
    },
    {
      "value": "0",
      "setting": "hide_upgrade_subscription_button"
    },
    {
      "value": "",
      "setting": "do_no_consent_redirect_url"
    },
    {
      "value": "0",
      "setting": "lock_signing_date_by_default"
    },
    {
      "value": "0",
      "setting": "allow_download_certificate"
    },
    {
      "value": "0",
      "setting": "have_merged_document_group_option"
    },
    {
      "value": "1",
      "setting": "guide_signers_only_through_required_fields"
    },
    {
      "value": "30",
      "setting": "invite_expiration_days"
    },
    {
      "value": "0",
      "setting": "allow_big_attachment_file"
    },
    {
      "value": "0",
      "setting": "allow_big_count_of_attachment_fields_per_document"
    },
    {
      "value": "0",
      "setting": "enable_hyperlink_field"
    },
    {
      "value": "0",
      "setting": "disable_download_action_in_editor"
    },
    {
      "value": "bottom",
      "setting": "signature_stamp_position"
    },
    {
      "value": "0",
      "setting": "enable_pki"
    },
    {
      "value": "1",
      "setting": "save_signer_signature_and_initials"
    },
    {
      "value": "1",
      "setting": "auto_apply_signatures_and_initials_to_document_fields"
    },
    {
      "value": "0",
      "setting": "receive_signer_email_after_sent_field_invite_to_yourself"
    },
    {
      "value": "0",
      "setting": "allow_edit_document_after_signing"
    },
    {
      "value": "off",
      "setting": "every_signature_and_initials_field_requires_user_authentication"
    },
    {
      "value": "0",
      "setting": "enable_render_pages_in_editor_as_images"
    },
    {
      "value": "0",
      "setting": "enable_team_admin_move_docs"
    },
    {
      "value": "0",
      "setting": "disable_email_recipients"
    },
    {
      "value": "0",
      "setting": "allow_team_admin_rename_docs"
    },
    {
      "value": "0",
      "setting": "allow_qes"
    },
    {
      "value": "0",
      "setting": "enable_qes"
    },
    {
      "value": "https://www.signnow.com/",
      "setting": "invite_canceled_redirect_url"
    },
    {
      "value": "https://app.signnow.com/webapp/",
      "setting": "save_draft_redirect_url"
    },
    {
      "value": "0",
      "setting": "add_signers_name_to_document_history_header"
    }
  ]
}
```

**Example** (`Success with email_group block`)

```json
{
  "id": "f43ff62a4d42d9fc7f4a9d42c6c4eb148ca44475",
  "state": "pending",
  "documents": [
    {
      "id": "da6f422f866373b83c88e52cea78899d7a681a3c",
      "roles": [
        "Signer 1"
      ],
      "settings": [],
      "thumbnail": {
        "large": "https://api.signnow.com/document/da6f422f866373b83c88e52cea78899d7a681a3c/thumbnail?size=large",
        "small": "https://api.signnow.com/document/da6f422f866373b83c88e52cea78899d7a681a3c/thumbnail?size=small",
        "medium": "https://api.signnow.com/document/da6f422f866373b83c88e52cea78899d7a681a3c/thumbnail?size=medium"
      },
      "document_name": "Sample document",
      "field_invites": [
        {
          "id": "b699855092987022b53465340611c907a2618cbd",
          "email_group": {
            "id": "43818066bb1705a385923691ebefc28fb2335593",
            "name": "Sample group name"
          },
          "short_link_url": null,
          "signature_type": null,
          "payment_request": null
        }
      ],
      "allowed_to_remove": true,
      "origin_document_id": null,
      "has_unassigned_field": false,
      "has_credit_card_number": false
    }
  ],
  "folder_id": "c2d95f69c564baebbfaf507c87a722eac23f3392",
  "invite_id": "c3a2dc52f15b699f4ffd932a33b6a9d83cc0cf64",
  "group_name": "Group with email_group invite",
  "share_info": {
    "role": "owner",
    "is_personally_shared_to_others": false
  },
  "mail_provider": null,
  "freeform_invite": {
    "id": null
  },
  "scheduled_invite": null,
  "email_action_on_complete": null,
  "document_group_attributes": {
    "from_name": "Sample Sender",
    "from_email": "owner@email.com"
  },
  "originator_organization_settings": []
}
```

### 400

* Wrong, expired, or missing token.
* The document group doesn't exist.
* The document group belongs to another user.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Not the owner`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "User is not document group owner"
    }
  ]
}
```

**Example** (`Document group not found`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "unable to find document group"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/documentgroup/{document_group_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document-group/operations/get-documentgroup*
